%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate anstream

Name:           rust-anstream
Version:        0.6.13
Release:    1%{?dist}
Summary:        Simple cross platform library for writing colored text to a terminal

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/anstream
Source0:         %{crates_source}
Patch:          anstream-fix-metadata-auto.diff
Patch:          anstream-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A simple cross platform library for writing colored text to a terminal.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+auto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+auto-devel %{_description}

This package contains library source intended for building other packages which
use the "auto" feature of the "%{crate}" crate.

%files       -n %{name}+auto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test-devel %{_description}

This package contains library source intended for building other packages which
use the "test" feature of the "%{crate}" crate.

%files       -n %{name}+test-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wincon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wincon-devel %{_description}

This package contains library source intended for building other packages which
use the "wincon" feature of the "%{crate}" crate.

%files       -n %{name}+wincon-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.13-1
- initial build
